<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../Game.html" class="type-name-link" title="class in Unnamed Package">Game</a> - Class in <a href="../package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">la classe principale pour les méthodes utilsés dans le jeu</div>
</dd>
<dt><a href="../Game.html#%3Cinit%3E()" class="member-name-link">Game()</a> - Constructor for class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">initialisation le jeu et tentative de chargement du jeu</div>
</dd>
<dt><a href="../Game.html#gameBegun" class="member-name-link">gameBegun</a> - Variable in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GameMain.html" class="type-name-link" title="class in Unnamed Package">GameMain</a> - Class in <a href="../package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">le laucher</div>
</dd>
<dt><a href="../GameMain.html#%3Cinit%3E()" class="member-name-link">GameMain()</a> - Constructor for class <a href="../GameMain.html" title="class in Unnamed Package">GameMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Game.html#gameOver" class="member-name-link">gameOver</a> - Variable in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html" class="type-name-link" title="class in Unnamed Package">GamePanel</a> - Class in <a href="../package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">le plateau de jeu</div>
</dd>
<dt><a href="../GamePanel.html#%3Cinit%3E()" class="member-name-link">GamePanel()</a> - Constructor for class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>
<div class="block">gamePanel constructor</div>
</dd>
<dt><a href="../GamePiece.html" class="type-name-link" title="class in Unnamed Package">GamePiece</a> - Class in <a href="../package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">l'objet pièce de jeu</div>
</dd>
<dt><a href="../GamePiece.html#%3Cinit%3E(java.lang.String,java.lang.String,int,int,int,int,int,Ability,java.lang.String,int)" class="member-name-link">GamePiece(String, String, int, int, int, int, int, Ability, String, int)</a> - Constructor for class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">GamePiece constructor</div>
</dd>
<dt><a href="../GamePiece.html#getAbility()" class="member-name-link">getAbility()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie la capacité de la pièce sous la forme d'un objet Ability.</div>
</dd>
<dt><a href="../GamePiece.html#getAbilityDescription()" class="member-name-link">getAbilityDescription()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie un tableau de chaînes formatées contenant la description de la capacité.</div>
</dd>
<dt><a href="../GamePiece.html#getAbilityName()" class="member-name-link">getAbilityName()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie le nom de la capacité</div>
</dd>
<dt><a href="../GamePiece.html#getAbilityType()" class="member-name-link">getAbilityType()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie une représentation entière du type de capacité</div>
</dd>
<dt><a href="../GamePiece.html#getDamage()" class="member-name-link">getDamage()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">retourne le dommage de la pièce</div>
</dd>
<dt><a href="../Ability.html#getDescription()" class="member-name-link">getDescription()</a> - Method in class <a href="../Ability.html" title="class in Unnamed Package">Ability</a></dt>
<dd>
<div class="block">renvoie une chaîne contenant la description</div>
</dd>
<dt><a href="../GamePiece.html#getHealth()" class="member-name-link">getHealth()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie une représentation entière de l'état de santé de la pièce</div>
</dd>
<dt><a href="../GamePiece.html#getImage()" class="member-name-link">getImage()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie l'image de la pièce</div>
</dd>
<dt><a href="../GamePiece.html#getLevel()" class="member-name-link">getLevel()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie une représentation entière du niveau de la pièce</div>
</dd>
<dt><a href="../GamePiece.html#getMaxHealth()" class="member-name-link">getMaxHealth()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie la santé initiale/maximale de la pièce - utilisée pour les barres de santé.</div>
</dd>
<dt><a href="../Game.html#getMoves()" class="member-name-link">getMoves()</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">renvoie les mouvements les plus récents</div>
</dd>
<dt><a href="../GamePiece.html#getMoveType()" class="member-name-link">getMoveType()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie le moveType de la pièce afin que nous puissions savoir comment elle va se déplacer : ligne, saut, un, etc.</div>
</dd>
<dt><a href="../Ability.html#getName()" class="member-name-link">getName()</a> - Method in class <a href="../Ability.html" title="class in Unnamed Package">Ability</a></dt>
<dd>
<div class="block">renvoie une chaîne contenant le nom</div>
</dd>
<dt><a href="../GamePiece.html#getName()" class="member-name-link">getName()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">retourner le nom de la pièce (par exemple, "Archer")</div>
</dd>
<dt><a href="../Game.html#getPiece(int,int)" class="member-name-link">getPiece(int, int)</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">retourne la pièce aux coordonnées</div>
</dd>
<dt><a href="../GamePiece.html#getTeam()" class="member-name-link">getTeam()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie une chaîne de caractères représentant l'équipe à laquelle appartient la pièce : "Rouge" ou "Bleu"</div>
</dd>
<dt><a href="../GamePiece.html#getTeamAsInt()" class="member-name-link">getTeamAsInt()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie une représentation entière de l'équipe à laquelle appartient la pièce : 0 pour les bleus et 1 pour les rouges</div>
</dd>
<dt><a href="../Game.html#getTurn()" class="member-name-link">getTurn()</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">renvoie 0 pour le bleu et 1 pour le rouge</div>
</dd>
<dt><a href="../Ability.html#getType()" class="member-name-link">getType()</a> - Method in class <a href="../Ability.html" title="class in Unnamed Package">Ability</a></dt>
<dd>
<div class="block">retourne un int représentant le type de capacité</div>
</dd>
<dt><a href="../Game.html#getWinner()" class="member-name-link">getWinner()</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">renvoie le gagnant du jeu sous la forme d'une chaîne</div>
</dd>
<dt><a href="../GamePiece.html#getX()" class="member-name-link">getX()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie la coordonnée x, de 0 à 15, de la pièce sur le plateau.</div>
</dd>
<dt><a href="../GamePiece.html#getXP()" class="member-name-link">getXP()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">returns the xp as an int</div>
</dd>
<dt><a href="../GamePiece.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></dt>
<dd>
<div class="block">renvoie la coordonnée y, de 0 à 11, de la pièce sur le plateau.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
